RagTime5ClusterManagerInternal::ColPatCParser Struct Reference documentation

Public Member Functions | Protected Attributes | List of all members
RagTime5ClusterManagerInternal::ColPatCParser Struct Referencefinal

low level: parser of color pattern cluster : zone 0x8042 More...

Inheritance diagram for RagTime5ClusterManagerInternal::ColPatCParser:

## Public Member Functions
| ColPatCParser (RagTime5ClusterManager &parser)
| constructor More...
| ~ColPatCParser () final
| destructor More...
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster More...
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone More...
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field More...
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor More...
virtual | ~ClusterParser ()
| destructor More...
virtual std::shared_ptr< Cluster > | getCluster ()=0
| return the current cluster More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster More...
virtual void | startZone ()
| start a new zone More...
virtual bool | parseZone (MWAWInputStreamPtr &, long, int, int, libmwaw::DebugStream &)
| parse a zone More...
virtual void | endZone ()
| end of a start zone call More...
virtual bool | parseField (RagTime5StructManager::Field const &, int, libmwaw::DebugStream &)
| parse a the data of a zone, n_dataId:m More...
virtual int | getNewZoneToParse ()
| returns to new zone to parse. More...
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name More...
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header More...
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know) More...

## Protected Attributes
std::shared_ptr< RagTime5ClusterManager::Cluster > | m_cluster
| the current cluster More...

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser More...
int | m_type
| the cluster type More...
bool | m_hiLoEndian
| zone endian More...
std::string | m_name
| the cluster name More...
int | m_dataId
| the actual zone id More...
Link | m_link
| the actual link More...

## Detailed Description

low level: parser of color pattern cluster : zone 0x8042

## Constructor & Destructor Documentation

## ◆ ColPatCParser()

RagTime5ClusterManagerInternal::ColPatCParser::ColPatCParser | ( | RagTime5ClusterManager & | parser | ) |
| inlineexplicit

constructor

## ◆ ~ColPatCParser()

RagTime5ClusterManagerInternal::ColPatCParser::~ColPatCParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::ColPatCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

## ◆ parseField()

bool RagTime5ClusterManagerInternal::ColPatCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseZone()

bool RagTime5ClusterManagerInternal::ColPatCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<RagTime5ClusterManager::Cluster> RagTime5ClusterManagerInternal::ColPatCParser::m_cluster
| protected

the current cluster

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx